"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerValidateMessageTemplateEnigne = exports.registerValidateFormats = exports.registerValidateRules = exports.registerValidateLocale = exports.getValidateRules = exports.getValidateFormats = exports.getValidateMessageTemplateEngine = exports.getValidateLocale = exports.getValidateLanguage = exports.setValidateLanguage = void 0;
var shared_1 = require("@formily/shared");
var getIn = shared_1.FormPath.getIn;
var self = shared_1.globalThisPolyfill;
var getBrowserlanguage = function () {
    if (!self.navigator) {
        return 'en';
    }
    return self.navigator.browserlanguage || self.navigator.language || 'en';
};
var registry = {
    locales: {
        messages: {},
        langugage: getBrowserlanguage(),
    },
    formats: {},
    rules: {},
    template: null,
};
var getISOCode = function (langugage) {
    var isoCode = registry.locales.langugage;
    if (registry.locales.messages[langugage]) {
        return langugage;
    }
    shared_1.each(registry.locales.messages, function (messages, key) {
        if (key.indexOf(langugage) > -1 || String(langugage).indexOf(key) > -1) {
            isoCode = key;
            return false;
        }
    });
    return isoCode;
};
var setValidateLanguage = function (lang) {
    registry.locales.langugage = lang;
};
exports.setValidateLanguage = setValidateLanguage;
var getValidateLanguage = function () { return registry.locales.langugage; };
exports.getValidateLanguage = getValidateLanguage;
var getValidateLocale = function (path) {
    var message = getIn(registry.locales.messages, getISOCode(registry.locales.langugage) + "." + path);
    return message || exports.getValidateLocale('pattern');
};
exports.getValidateLocale = getValidateLocale;
var getValidateMessageTemplateEngine = function () { return registry.template; };
exports.getValidateMessageTemplateEngine = getValidateMessageTemplateEngine;
var getValidateFormats = function (key) {
    return key ? registry.formats[key] : registry.formats;
};
exports.getValidateFormats = getValidateFormats;
var getValidateRules = function (key) {
    return key ? registry.rules[key] : registry.rules;
};
exports.getValidateRules = getValidateRules;
var registerValidateLocale = function (locale) {
    registry.locales.messages = shared_1.merge(registry.locales.messages, locale);
};
exports.registerValidateLocale = registerValidateLocale;
var registerValidateRules = function (rules) {
    shared_1.each(rules, function (rule, key) {
        if (shared_1.isFn(rule)) {
            registry.rules[key] = rule;
        }
    });
};
exports.registerValidateRules = registerValidateRules;
var registerValidateFormats = function (formats) {
    shared_1.each(formats, function (pattern, key) {
        if (shared_1.isStr(pattern) || pattern instanceof RegExp) {
            registry.formats[key] = new RegExp(pattern);
        }
    });
};
exports.registerValidateFormats = registerValidateFormats;
var registerValidateMessageTemplateEnigne = function (template) {
    registry.template = template;
};
exports.registerValidateMessageTemplateEnigne = registerValidateMessageTemplateEnigne;
